Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.conversation
Interface State

public interface State

The State interface represents the state of a conversation in the WebLogic Collaborate system.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ACTIVE` Conversation is active.
`static int` | `TERMINATED_FAILURE` Conversation is terminated with error.
`static int` | `TERMINATED_SUCCESS` Conversation is terminated successfully.
`static int` | `TERMINATING_FAILURE` Conversation is being terminated with failure or due to timeout.
`static int` | `TERMINATING_SUCCESS` Conversation is being terminated with success.

Field Detail

### ACTIVE

    public static final int ACTIVE

  Conversation is active.

### TERMINATING_SUCCESS

    public static final int TERMINATING_SUCCESS

  Conversation is being terminated with success. The conversation remains in this state until it is confirmed terminated by the global coordinator in the c-hub and by the local coordinator in the c-enabler of the conversation initiator. The conversation is confirmed terminated for the initiator once the onTerminate method is called for that conversation on the conversation handler.

### TERMINATING_FAILURE

    public static final int TERMINATING_FAILURE

  Conversation is being terminated with failure or due to timeout. The conversation remains in this state until it is confirmed terminated by the global coordinator in the c-hub and the local coordinator in the c-enabler of the conversation initiator. The conversation is confirmed terminated for the initiator once the onTerminate method is called for that conversation on the conversation handler.

### TERMINATED_SUCCESS

    public static final int TERMINATED_SUCCESS

  Conversation is terminated successfully. The conversation is confirmed terminated for the initiator once the onTerminate method is called for that conversation on the conversation handler.

### TERMINATED_FAILURE

    public static final int TERMINATED_FAILURE

  Conversation is terminated with error. The conversation is confirmed terminated for the initiator once the onTerminate method is called for that conversation on the conversation handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)